Index: /trunk/stitch-examples/GPO-OG/OG-ST-1.rspec
===================================================================
--- /trunk/stitch-examples/GPO-OG/OG-ST-1.rspec	(revision 3105)
+++ /trunk/stitch-examples/GPO-OG/OG-ST-1.rspec	(revision 3105)
@@ -0,0 +1,29 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-stan:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+ <node client_id="gr-gpo" component_manager_id="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-gpo:if0" >
+        <ip address="192.168.1.2" netmask="255.255.255.0" />
+      </interface>
+ </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <interface_ref client_id="gr-gpo:if0"/>
+    <property source_id="ig-stan:if0" dest_id="gr-gpo:if0"/>
+    <property source_id="gr-gpo:if0" dest_id="ig-stan:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/GPO-OG/OG-ST-2.rspec
===================================================================
--- /trunk/stitch-examples/GPO-OG/OG-ST-2.rspec	(revision 3105)
+++ /trunk/stitch-examples/GPO-OG/OG-ST-2.rspec	(revision 3105)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="GPO-OG" component_manager_id="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <interface client_id="GPO-OG:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="GPO-OG:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="CLEM-OG" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <interface client_id="CLEM-OG:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="CLEM-OG:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="linkX">
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="GPO-OG:if0"/>
+    <interface_ref client_id="CLEM-OG:if0"/>
+    <property source_id="GPO-OG:if0" dest_id="CLEM-OG:if0"/>
+    <property source_id="CLEM-OG:if0" dest_id="GPO-OG:if0"/>
+  </link>
+  <link client_id="linkY">
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="GPO-OG:if1"/>
+    <interface_ref client_id="CLEM-OG:if1"/>
+    <property source_id="GPO-OG:if1" dest_id="CLEM-OG:if1"/>
+    <property source_id="CLEM-OG:if1" dest_id="GPO-OG:if1"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/GPO-OG/OG-ST-3.rspec
===================================================================
--- /trunk/stitch-examples/GPO-OG/OG-ST-3.rspec	(revision 3105)
+++ /trunk/stitch-examples/GPO-OG/OG-ST-3.rspec	(revision 3105)
@@ -0,0 +1,50 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-stan:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+ <node client_id="gr-gpo" component_manager_id="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-gpo:if0" >
+        <ip address="192.168.1.2" netmask="255.255.255.0" />
+      </interface>
+      <interface client_id="gr-gpo:if1" >
+        <ip address="192.168.4.2" netmask="255.255.255.0" />
+      </interface>
+
+ </node>
+  <node client_id="ig-nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-nyse:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="linkA">
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <interface_ref client_id="gr-gpo:if0"/>
+    <property source_id="ig-stan:if0" dest_id="gr-gpo:if0"/>
+    <property source_id="gr-gpo:if0" dest_id="ig-stan:if0"/>
+  </link>
+  <link client_id="linkB">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <interface_ref client_id="ig-nyse:if0"/>
+    <interface_ref client_id="gr-gpo:if1"/>
+    <property source_id="ig-nyse:if0" dest_id="gr-gpo:if1"/>
+    <property source_id="gr-gpo:if1" dest_id="ig-nyse:if0"/>
+  </link>
+
+</rspec>
Index: /trunk/stitch-examples/GPO-OG/OG-ST-6.rspec
===================================================================
--- /trunk/stitch-examples/GPO-OG/OG-ST-6.rspec	(revision 3105)
+++ /trunk/stitch-examples/GPO-OG/OG-ST-6.rspec	(revision 3105)
@@ -0,0 +1,35 @@
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+        xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xmlns="http://www.geni.net/resources/rspec/3">
+
+    <node client_id="gr-gpo" component_manager_id="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-gpo:if0" >
+        <ip address="192.168.1.1" netmask="255.255.255.0" />
+      </interface>
+    </node>
+    <node client_id="ig-rut" component_manager_id="urn:publicid:IDN+instageni.rutgers.edu+authority+cm" exclusive="false">
+     <sliver_type name="emulab-xen"/>
+      <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+     <interface client_id="ig-rut:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+     </interface>
+   </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.rutgers.edu+authority+cm"/>
+    <interface_ref client_id="gr-gpo:if0"/>
+    <interface_ref client_id="ig-rut:if0"/>
+    <property source_id="gr-gpo:if0" dest_id="ig-rut:if0" />
+    <property source_id="ig-rut:if0" dest_id="gr-gpo:if0" />
+    <openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+    <emulab:openflow_controller url="tcp:192.1.249.185:33020" /> 
+  </link>
+</rspec>