Index: trunk/OESSRSpecs/stitch-3-M-C-S.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-3-M-C-S.rspec	(revision 3110)
+++ trunk/OESSRSpecs/stitch-3-M-C-S.rspec	(revision 3110)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-chic" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-chic:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-chic:if1">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-stan:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="miss:if0">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <interface_ref client_id="ig-chic:if0"/>
+    <interface_ref client_id="miss:if0"/>
+    <property source_id="ig-chic:if0" dest_id="miss:if0" />
+    <property source_id="miss:if0" dest_id="ig-chic:if0" />
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <interface_ref client_id="ig-chic:if1"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <property source_id="ig-chic:if1" dest_id="ig-stan:if0" />
+    <property source_id="ig-stan:if0" dest_id="ig-chic:if1" />
+  </link>
+</rspec>
Index: trunk/OESSRSpecs/stitch-3ring.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-3ring.rspec	(revision 3110)
+++ trunk/OESSRSpecs/stitch-3ring.rspec	(revision 3110)
@@ -0,0 +1,54 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-chic" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" exclusive="true">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-chic:if0">
+    </interface>
+    <interface client_id="ig-chic:if1">
+    </interface>
+  </node>
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="true">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-stan:if0">
+    </interface>
+    <interface client_id="ig-stan:if1">
+    </interface>
+  </node>
+  <node client_id="ig-miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="true">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-miss:if0">
+    </interface>
+    <interface client_id="ig-miss:if1">
+    </interface>
+  </node>
+  <link client_id="LINK0">
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <interface_ref client_id="ig-miss:if0"/>
+    <interface_ref client_id="ig-chic:if0"/>
+    <property capacity="20000" source_id="ig-miss:if0" dest_id="ig-chic:if0"/>
+    <property capacity="20000" source_id="ig-chic:if0" dest_id="ig-miss:if0"/>
+  </link>
+  <link client_id="LINK1">
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <interface_ref client_id="ig-chic:if1"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <property capacity="20000" source_id="ig-chic:if1" dest_id="ig-stan:if0"/>
+    <property capacity="20000" source_id="ig-stan:if0" dest_id="ig-chic:if1"/>
+  </link>
+  <link client_id="LINK2">
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <interface_ref client_id="ig-stan:if1"/>
+    <interface_ref client_id="ig-miss:if1"/>
+    <property capacity="20000" source_id="ig-stan:if1" dest_id="ig-miss:if1"/>
+    <property capacity="20000" source_id="ig-miss:if1" dest_id="ig-stan:if1"/>
+  </link>
+</rspec>
Index: trunk/OESSRSpecs/stitch-loop.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-loop.rspec	(revision 3110)
+++ trunk/OESSRSpecs/stitch-loop.rspec	(revision 3110)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-stan:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-stan:if1">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="miss:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="miss:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <property source_id="miss:if0" dest_id="ig-stan:if0" capacity="20000"/>
+    <property source_id="ig-stan:if0" dest_id="miss:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <interface_ref client_id="miss:if1"/>
+    <interface_ref client_id="ig-stan:if1"/>
+    <property source_id="miss:if1" dest_id="ig-stan:if1" capacity="20000"/>
+    <property source_id="ig-stan:if1" dest_id="miss:if1" capacity="20000"/>
+</link>
+</rspec>
Index: trunk/OESSRSpecs/stitch-star-miss.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-star-miss.rspec	(revision 3110)
+++ trunk/OESSRSpecs/stitch-star-miss.rspec	(revision 3110)
@@ -0,0 +1,86 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-miss:if0">
+      <ip address="192.168.0.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-miss:if1">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+   <interface client_id="ig-miss:if2">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+   <interface client_id="ig-miss:if3">
+      <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-stan:if0">
+      <ip address="192.168.0.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-max" component_manager_id="urn:publicid:IDN+instageni.maxgigapop.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-max:if0">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-chic" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-chic:if0">
+      <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-2">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
+    <interface_ref client_id="ig-miss:if0"/>
+    <interface_ref client_id="ig-stan:if0"/>
+    <property capacity="20000" source_id="ig-miss:if0" dest_id="ig-stan:if0"/>
+    <property capacity="20000" source_id="ig-stan:if0" dest_id="ig-miss:if0"/>
+  </link>
+  <link client_id="link-1">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/> 
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-miss:if1"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="ig-miss:if1"/>
+    <property capacity="20000" source_id="ig-miss:if1" dest_id="ig-gpo:if0"/>
+  </link> 
+  <link client_id="link-3">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.maxgigapop.net+authority+cm"/>
+    <interface_ref client_id="ig-miss:if2"/>
+    <interface_ref client_id="ig-max:if0"/>
+    <property capacity="20000" source_id="ig-max:if0" dest_id="ig-miss:if1"/>
+    <property capacity="20000" source_id="ig-miss:if1" dest_id="ig-max:if0"/>
+  </link>
+  <link client_id="link-4">
+   <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+   <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+   <interface_ref client_id="ig-miss:if3"/>
+   <interface_ref client_id="ig-chic:if0"/>
+   <property capacity="20000" source_id="ig-chic:if0" dest_id="ig-miss:if3"/>
+   <property capacity="20000" source_id="ig-miss:if3" dest_id="ig-chic:if0"/>
+  </link>
+</rspec>