Index: trunk/OESSRSpecs/stitch-ig-chic-ig-miss.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-ig-chic-ig-miss.rspec	(revision 3112)
+++ trunk/OESSRSpecs/stitch-ig-chic-ig-miss.rspec	(revision 3112)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/"
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd"
+       type="request">
+
+  <node client_id="chic-ig" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="chic-ig:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="miss-ig" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="miss-ig:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="link-i">
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <property source_id="chic-ig:if0" dest_id="miss-ig:if0" capacity="100000"/>
+    <interface_ref client_id="chic-ig:if0" />
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <property source_id="miss-ig:if0" dest_id="chic-ig:if0" capacity="100000"/>
+    <interface_ref client_id="miss-ig:if0" />
+  </link>
+</rspec>
Index: trunk/OESSRSpecs/stitch-ig-chic-ig-stan.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-ig-chic-ig-stan.rspec	(revision 3111)
+++ trunk/OESSRSpecs/stitch-ig-chic-ig-stan.rspec	(revision 3112)
@@ -8,14 +8,14 @@
 
   <node client_id="chic-ig" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" exclusive="false">
-    <sliver_type name="emulab-openvz" />
+    <sliver_type name="emulab-xen" />
     <interface client_id="chic-ig:if0">
-      <ip address="10.10.1.1" netmask="255.255.255.0" type="ipv4" />
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
 
   <node client_id="stan-ig" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
-    <sliver_type name="emulab-openvz" />
+    <sliver_type name="emulab-xen" />
     <interface client_id="stan-ig:if0">
-      <ip address="10.10.1.2" netmask="255.255.255.0" type="ipv4" />
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4" />
     </interface>
   </node>
@@ -23,8 +23,8 @@
   <link client_id="link-uchicago-ig-stan-ig">
     <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
-    <property source_id="chic-ig:if0" dest_id="stan-ig:if0" capacity="20000"/>
+    <property source_id="chic-ig:if0" dest_id="stan-ig:if0" capacity="100000"/>
     <interface_ref client_id="chic-ig:if0" />
     <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
-    <property source_id="stan-ig:if0" dest_id="chic-ig:if0" capacity="20000"/>
+    <property source_id="stan-ig:if0" dest_id="chic-ig:if0" capacity="100000"/>
     <interface_ref client_id="stan-ig:if0" />
   </link>
Index: trunk/OESSRSpecs/stitch-ig-miss-ig-stan.rspec
===================================================================
--- trunk/OESSRSpecs/stitch-ig-miss-ig-stan.rspec	(revision 3111)
+++ trunk/OESSRSpecs/stitch-ig-miss-ig-stan.rspec	(revision 3112)
@@ -1,32 +1,34 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <rspec type="request" 
-	xmlns="http://www.geni.net/resources/rspec/3" 
-	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
-	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
-	http://www.geni.net/resources/rspec/3/request.xsd">  
-  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" exclusive="false">
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" >
     <sliver_type name="emulab-xen"/>
-   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
-
-    <interface client_id="ig-stan:if0">
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-miss:if0">
       <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
-  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+  <node client_id="ig-stan" component_manager_id="urn:publicid:IDN+instageni.stanford.edu+authority+cm" >
     <sliver_type name="emulab-xen"/>
-  <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
-    <interface client_id="miss:if0">
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-stan:if0">
       <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
+    <interface client_id="ig-stan:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
   </node>
-  <link client_id="link0">
+
+  <link client_id="linkX">
     <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
     <component_manager name="urn:publicid:IDN+instageni.stanford.edu+authority+cm"/>
-    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="ig-miss:if0"/>
     <interface_ref client_id="ig-stan:if0"/>
-    <property source_id="miss:if0" dest_id="ig-stan:if0" capacity="20000"/>
-    <property source_id="ig-stan:if0" dest_id="miss:if0" capacity="20000"/>
+    <property capacity="100000" source_id="ig-miss:if0" dest_id="ig-stan:if0" />
+    <property capacity="100000" source_id="ig-stan:if0" dest_id="ig-miss:if0" />
   </link>
 </rspec>