Index: trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-1-clemson.rspec
===================================================================
--- trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-1-clemson.rspec	(revision 3118)
+++ trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-1-clemson.rspec	(revision 3118)
@@ -0,0 +1,45 @@
+<rspec type="request"
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="VM1" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM2" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM3" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM4" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="VM1:if0"/>
+    <interface_ref client_id="VM2:if0"/>
+    <interface_ref client_id="VM3:if0"/>
+    <interface_ref client_id="VM4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-3-clemson.rspec
===================================================================
--- trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-3-clemson.rspec	(revision 3118)
+++ trunk/GENIRacks/OpenGENI/Spiral5/RSpecs/ConfirmationTests/Clemson-OG/OG-CT-3-clemson.rspec	(revision 3118)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="GPO-OG" component_manager_id="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <interface client_id="GPO-OG:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="CLEM-OG" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <interface client_id="CLEM-OG:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="linkX">
+    <component_manager name="urn:publicid:IDN+bbn-cam-ctrl-1.gpolab.bbn.com+authority+am"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="GPO-OG:if0"/>
+    <interface_ref client_id="CLEM-OG:if0"/>
+    <property source_id="GPO-OG:if0" dest_id="CLEM-OG:if0"/>
+    <property source_id="CLEM-OG:if0" dest_id="GPO-OG:if0"/>
+  </link>
+</rspec>