Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu.rspec	(revision 3156)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu.rspec	(revision 3156)
@@ -0,0 +1,186 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-1:if0">
+   <ip address="172.16.1.1" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-2:if0">
+   <ip address="172.16.1.2" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-3:if0">
+   <ip address="172.16.1.3" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-4:if0">
+   <ip address="172.16.1.4" netmask="255.255.255.0" />
+   </interface>
+   </node>
+   <node client_id="VM-5" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-5:if0">
+   <ip address="172.16.1.5" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-6" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-6:if0">
+   <ip address="172.16.1.6" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-7" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-7:if0">
+   <ip address="172.16.1.7" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-8" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-8:if0">
+   <ip address="172.16.1.8" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-9" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+ 
+   </sliver_type>
+   <interface client_id="VM-9:if0">
+   <ip address="172.16.1.9" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <node client_id="VM-10" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+   <sliver_type name="m1.small">
+   </sliver_type>
+   <interface client_id="VM-10:if0">
+   <ip address="172.16.1.10" netmask="255.255.255.0" />
+   </interface>
+  </node>
+  <link client_id="Lan">
+   <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
+   <interface_ref client_id="VM-1:if0"/>
+   <interface_ref client_id="VM-2:if0"/>
+   <interface_ref client_id="VM-3:if0"/>
+   <interface_ref client_id="VM-4:if0"/>
+   <interface_ref client_id="VM-5:if0"/>
+   <interface_ref client_id="VM-6:if0"/>
+   <interface_ref client_id="VM-7:if0"/>
+   <interface_ref client_id="VM-8:if0"/>
+   <interface_ref client_id="VM-9:if0"/>
+   <interface_ref client_id="VM-10:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-9:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-1:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-2:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-3:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-4:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-5:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-6:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-7:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-8:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-9:if0" dest_id="VM-10:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-1:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-2:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-3:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-4:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-5:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-6:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-7:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-8:if0"/>
+   <property source_id="VM-10:if0" dest_id="VM-9:if0"/>
+   <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu2.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu2.rspec	(revision 3155)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/cisco-10vm-1lan-ncsu2.rspec	(revision 3156)
@@ -9,5 +9,5 @@
 	xmlns="http://www.geni.net/resources/rspec/3">
 
-  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -16,5 +16,5 @@
    </interface>
   </node>
-  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -23,5 +23,5 @@
    </interface>
   </node>
-  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -30,5 +30,5 @@
    </interface>
   </node>
-  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -37,5 +37,5 @@
    </interface>
    </node>
-   <node client_id="VM-5" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+   <node client_id="VM-5" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -44,5 +44,5 @@
    </interface>
   </node>
-  <node client_id="VM-6" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-6" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -51,5 +51,5 @@
    </interface>
   </node>
-  <node client_id="VM-7" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-7" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -58,5 +58,5 @@
    </interface>
   </node>
-  <node client_id="VM-8" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-8" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -65,5 +65,5 @@
    </interface>
   </node>
-  <node client_id="VM-9" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-9" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
  
@@ -73,5 +73,5 @@
    </interface>
   </node>
-  <node client_id="VM-10" component_manager_id="urn:publicid:IDN+ncsu2vmsite+authority+cm" >
+  <node client_id="VM-10" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
    <sliver_type name="m1.small">
    </sliver_type>
@@ -81,5 +81,5 @@
   </node>
   <link client_id="Lan">
-   <component_manager name="urn:publicid:IDN+ncsu2vmsite+authority+cm"/>
+   <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
    <interface_ref client_id="VM-1:if0"/>
    <interface_ref client_id="VM-2:if0"/>