Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-eg-ncsu2.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-eg-ncsu2.rspec	(revision 3158)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-eg-ncsu2.rspec	(revision 3158)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="ncsu2-eg1" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+    <sliver_type name="m1.small"> </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname NCSU2-1"/>
+        </services>
+    <interface client_id="ncsu2-eg1:if0">
+   <ip address="10.42.11.89" netmask="255.255.255.0" />
+    </interface>
+  </node>
+<node client_id="ncsu2-eg2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
+    <sliver_type name="m1.small"> </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname NCSU2-2"/>
+	</services>
+    <interface client_id="ncsu2-eg2:if0">
+   <ip address="10.42.11.88" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="ncsu2-eg1:if0"/>
+    <interface_ref client_id="ncsu2-eg2:if0"/>
+    <s:link_shared_vlan name="1760"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-ig-gpo.rspec	(revision 3158)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-ig-gpo.rspec	(revision 3158)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig"  >
+    <sliver_type name="emulab-xen" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.77" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="shared-ncsu2">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="ncsu2-meso" />
+  </link>
+</rspec>
Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-eg-ncsu2.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-eg-ncsu2.rspec	(revision 3158)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-eg-ncsu2.rspec	(revision 3158)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+   <openflow:sliver description="CG-CT-4" email="lnevers@bbn.com">    
+        <openflow:controller type="primary" url="tcp:mallorea.gpolab.bbn.com:33020"/>    
+
+     <openflow:group name="ncsu2-exogeni">      
+        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+datapath+00:01:18:e7:28:07:bf:c0" 
+         component_manager_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+authority+am">        
+        </openflow:datapath>      
+    </openflow:group>    
+
+        <openflow:match>      
+
+            <openflow:use-group name="ncsu2-exogeni"/>      
+
+            <openflow:packet>        
+	        <openflow:dl_vlan value="1760"/>        
+	        <openflow:dl_type value="0x800,0x806"/>        
+	        <openflow:nw_dst value="10.42.11.0/24"/>        
+	        <openflow:nw_src value="10.42.11.0/24"/>        
+            </openflow:packet>      
+
+        </openflow:match>    
+
+    </openflow:sliver>  
+</rspec>
Index: /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-ig-gpo.rspec	(revision 3158)
+++ /trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-ig-gpo.rspec	(revision 3158)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="CG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="bbn-instageni" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>