Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec	(revision 2318)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/MAX/IG-CT-4-openflow-internet2.rspec	(revision 3165)
@@ -8,6 +8,5 @@
            http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
        type="request">
-  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
-		   email="lnevers@bbn.com">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4" email="lnevers@bbn.com">
 
  <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
@@ -26,23 +25,36 @@
     </openflow:group>
 
-   <openflow:group name="UEN-1750">
+   <openflow:group name="group-1750">
       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
         <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
         <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- LOSA 1750 To UC Davis on 1853 -->
+        <openflow:port name="21" num="21"/> <!-- OSF 1750 -->
       </openflow:datapath>
-    </openflow:group>
 
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="15" num="15"/> <!-- HOUS 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- UH 1751 -->
+        <openflow:port name="GBE0/21" num="21"/><!-- To OH Metro Data Center 2497 -->
+        <openflow:port name="GBE0/23" num="23"/><!-- To umkc-ig 1760 -->
+      </openflow:datapath>
 
-    <openflow:group name="PRINCETON-1750">
+ 	<openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+ 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="1" num="1"/> <!-- CENIC 1750 -->
+        <openflow:port name="12" num="12"/> <!-- UEN 1750 -->
+        <openflow:port name="15" num="15"/> <!-- LOSA 1750-3716 -->
+      </openflow:datapath>
+
      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
         component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
         <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- To MOXI on 1751-->
         <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
         <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
       </openflow:datapath>
-    </openflow:group>
  
-    <openflow:group name="NYU-1750">
     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
 	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
@@ -50,4 +62,7 @@
         <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
         <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+        <openflow:port name="23" num="23"/> <!-- GPO 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -59,5 +74,10 @@
         <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
         <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
-
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="17" num="17"/> <!-- To RENCI -->
+        <openflow:port name="21" num="21"/> <!-- To FIU -->
+        <openflow:port name="23" num="23"/> <!-- To Starlight -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
       </openflow:datapath>
     </openflow:group>
@@ -66,7 +86,5 @@
 
       <openflow:use-group name="i2-3716" />
-      <openflow:use-group name="UEN-1750" />
-      <openflow:use-group name="PRINCETON-1750" />
-      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="group-1750" />
       <openflow:use-group name="I2-ATLA-1750-3716"/>
       <openflow:packet>