Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-eg-ncsu2.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-eg-ncsu2.rspec	(revision 3159)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<rspec type="request" 
-	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
-	          	    http://www.geni.net/resources/rspec/3/request.xsd
-                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
-                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
-	xmlns="http://www.geni.net/resources/rspec/3">
-
-<node client_id="ncsu2-eg1" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
-    <sliver_type name="m1.small"> </sliver_type>
-        <services>
-        <execute shell="sh" command="hostname NCSU2-1"/>
-        </services>
-    <interface client_id="ncsu2-eg1:if0">
-   <ip address="10.42.11.89" netmask="255.255.255.0" />
-    </interface>
-  </node>
-<node client_id="ncsu2-eg2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
-    <sliver_type name="m1.small"> </sliver_type>
-	<services>
-	<execute shell="sh" command="hostname NCSU2-2"/>
-	</services>
-    <interface client_id="ncsu2-eg2:if0">
-   <ip address="10.42.11.88" netmask="255.255.255.0" />
-    </interface>
-  </node>
-  <link client_id="lan0">
-    <interface_ref client_id="ncsu2-eg1:if0"/>
-    <interface_ref client_id="ncsu2-eg2:if0"/>
-    <s:link_shared_vlan name="1760"/>
-  </link>
-</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-ig-gpo.rspec	(revision 3159)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
-       xs:schemaLocation="http://www.geni.net/resources/rspec/3
-           http://www.geni.net/resources/rspec/3/request.xsd
-           http://www.geni.net/resources/rspec/ext/shared-vlan/1
-           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
-       type="request">
-
-  <node client_id="gpo-ig"  >
-    <sliver_type name="emulab-xen" />
-    <interface client_id="gpo-ig:if0">
-      <ip address="10.42.11.77" netmask="255.255.255.0" type="ipv4" />
-    </interface>
-  </node>
-  <link client_id="shared-ncsu2">
-    <interface_ref client_id="gpo-ig:if0" />
-    <sharedvlan:link_shared_vlan name="ncsu2-meso" />
-  </link>
-</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-eg-ncsu2.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-eg-ncsu2.rspec	(revision 3159)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
-       xs:schemaLocation="http://www.geni.net/resources/rspec/3
-           http://www.geni.net/resources/rspec/3/request.xsd
-           http://www.geni.net/resources/rspec/ext/openflow/3
-           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
-       type="request">
-
-   <openflow:sliver description="CG-CT-4" email="lnevers@bbn.com">    
-        <openflow:controller type="primary" url="tcp:mallorea.gpolab.bbn.com:33020"/>    
-
-     <openflow:group name="ncsu2-exogeni">      
-        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+datapath+00:01:18:e7:28:07:bf:c0" 
-         component_manager_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+authority+am">        
-        </openflow:datapath>      
-    </openflow:group>    
-
-        <openflow:match>      
-
-            <openflow:use-group name="ncsu2-exogeni"/>      
-
-            <openflow:packet>        
-	        <openflow:dl_vlan value="1760"/>        
-	        <openflow:dl_type value="0x800,0x806"/>        
-	        <openflow:nw_dst value="10.42.11.0/24"/>        
-	        <openflow:nw_src value="10.42.11.0/24"/>        
-            </openflow:packet>      
-
-        </openflow:match>    
-
-    </openflow:sliver>  
-</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-4-openflow-ig-gpo.rspec	(revision 3159)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
-       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
-       xs:schemaLocation="http://www.geni.net/resources/rspec/3
-           http://www.geni.net/resources/rspec/3/request.xsd
-           http://www.geni.net/resources/rspec/ext/openflow/3
-           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
-       type="request">
-  <openflow:sliver description="CG-CT-4 ">
-    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
-
-    <openflow:group name="bbn-instageni">
-    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+0e:9e:84:34:97:c6:c9:00" 
-      component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am" />
-    </openflow:group>
-    <openflow:match>
-      <openflow:use-group name="bbn-instageni" />
-      <openflow:packet>
-        <openflow:dl_type value="0x800,0x806"/>
-        <openflow:nw_dst value="10.42.11.0/24"/>
-        <openflow:nw_src value="10.42.11.0/24"/>
-      </openflow:packet>
-    </openflow:match>
-  </openflow:sliver>
-</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-eg-ncsu2.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-eg-ncsu2.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-eg-ncsu2.rspec	(revision 3172)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="ncsu2-eg1" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am" >
+    <sliver_type name="m1.small"> </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname NCSU2-1"/>
+        </services>
+    <interface client_id="ncsu2-eg1:if0">
+   <ip address="10.42.11.89" netmask="255.255.255.0" />
+    </interface>
+  </node>
+<node client_id="ncsu2-eg2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
+    <sliver_type name="m1.small"> </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname NCSU2-2"/>
+	</services>
+    <interface client_id="ncsu2-eg2:if0">
+   <ip address="10.42.11.88" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="ncsu2-eg1:if0"/>
+    <interface_ref client_id="ncsu2-eg2:if0"/>
+    <s:link_shared_vlan name="1760"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-ig-gpo.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-ig-gpo.rspec	(revision 3172)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig"  >
+    <sliver_type name="emulab-xen" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.77" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="shared-ncsu2">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="ncsu2-meso" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-eg-ncsu2.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-eg-ncsu2.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-eg-ncsu2.rspec	(revision 3172)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+   <openflow:sliver description="CG-CT-4" email="lnevers@bbn.com">    
+        <openflow:controller type="primary" url="tcp:192.1.249.185:33020"/>    
+
+     <openflow:group name="ncsu2-exogeni">      
+        <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+datapath+00:01:18:e7:28:07:bf:c0" 
+         component_manager_id="urn:publicid:IDN+openflow:foam:ncsu2-hn.exogeni.net+authority+am">        
+        </openflow:datapath>      
+    </openflow:group>    
+
+        <openflow:match>      
+
+            <openflow:use-group name="ncsu2-exogeni"/>      
+
+            <openflow:packet>        
+	        <openflow:dl_vlan value="1760"/>        
+	        <openflow:dl_type value="0x800,0x806"/>        
+	        <openflow:nw_dst value="10.42.11.0/24"/>        
+	        <openflow:nw_src value="10.42.11.0/24"/>        
+            </openflow:packet>      
+
+        </openflow:match>    
+
+    </openflow:sliver>  
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-ig-gpo.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/CG-CT-5-openflow-ig-gpo.rspec	(revision 3172)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="CG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+0e:9e:84:34:97:c6:c9:00" 
+      component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am" />
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="bbn-instageni" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear-egigeg.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear-egigeg.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear-egigeg.rspec	(revision 3172)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="eg-tamu" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+am">
+   <interface client_id="eg-tamu:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="eg-ucd" component_manager_id="urn:publicid:IDN+exogeni.net:ucdvmsite+authority+am">
+    <interface client_id="eg-ucd:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '1,$/https/http/' /etc/yum.repos.d/*.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-nyse:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-nyse:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <interface_ref client_id="eg-tamu:if0"/>
+    <interface_ref client_id="ig-nyse:if1"/>
+    <property source_id="eg-tamu:if0" dest_id="ig-nyse:if1" capacity="20000"/>
+    <property source_id="ig-nyse:if1" dest_id="eg-tamu:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:ucdvmsite+authority+am"/>
+    <interface_ref client_id="eg-ucd:if0"/>
+    <interface_ref client_id="ig-nyse:if0"/>
+    <property source_id="ig-nyse:if0" dest_id="eg-ucd:if0" capacity="20000"/>
+    <property source_id="eg-ucd:if0" dest_id="ig-nyse:if0" capacity="20000"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-3linear.rspec	(revision 3172)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="eg-ncsu2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
+    <interface client_id="eg-ncsu2:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="eg-ncsu2:if1">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-chic" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-chic:if0">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="eg-ncsu2:if0"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <property source_id="eg-ncsu2:if0" dest_id="ig-gpo:if0" />
+    <property source_id="ig-gpo:if0" dest_id="eg-ncsu2:if0" />
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
+    <interface_ref client_id="eg-ncsu2:if1"/>
+    <interface_ref client_id="ig-chic:if0"/>
+    <property source_id="ig-chic:if0" dest_id="eg-ncsu2:if1" />
+    <property source_id="eg-ncsu2:if1" dest_id="ig-chic:if0" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu-ig-gpo.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu-ig-gpo.rspec	(revision 3172)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:ncsuvmsite+authority+am">
+    <sliver_type name="m1.small">
+      <disk_image
+        name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml"
+        version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73" />
+    </sliver_type>
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0"  type="ipv4" />
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '1,$/https/http/' /etc/yum.repos.d/*.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:ncsuvmsite+authority+am"/>
+    <property source_id="eg-gpo:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-gpo:if0" capacity="100000"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-chic.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-chic.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-chic.rspec	(revision 3172)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-ncsu2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
+    <sliver_type name="m1.small"/>
+   <interface client_id="eg-ncsu2:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0"  type="ipv4" />
+    </interface>
+  </node>
+  <node client_id="ig-chic" component_manager_id="urn:publicid:IDN+geni.uchicago.edu+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-chic:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
+    <property source_id="eg-ncsu2:if0" dest_id="ig-chic:if0" capacity="100000"/>
+    <interface_ref client_id="eg-ncsu2:if0"/>
+    <component_manager name="urn:publicid:IDN+geni.uchicago.edu+authority+cm"/>
+    <property source_id="ig-chic:if0" dest_id="eg-ncsu2:if0" capacity="100000"/>
+    <interface_ref client_id="ig-chic:if0"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-gpo.rspec	(revision 3172)
+++ trunk/GENIRacks/CiscoGENI/RSpecs/AcceptanceTests/stitch-eg-ncsu2-ig-gpo.rspec	(revision 3172)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-ncsu2" component_manager_id="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am">
+    <sliver_type name="m1.small"/>
+   <interface client_id="eg-ncsu2:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0"  type="ipv4" />
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:ncsu2vmsite+authority+am"/>
+    <property source_id="eg-ncsu2:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <interface_ref client_id="eg-ncsu2:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-ncsu2:if0" capacity="100000"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+  </link>
+</rspec>