Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-1-utc.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-1-utc.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-1-utc.rspec	(revision 3191)
@@ -0,0 +1,45 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="xen1" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen2" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen3" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen4" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.utc.edu+authority+cm"/>
+    <interface_ref client_id="xen1:if0"/>
+    <interface_ref client_id="xen2:if0"/>
+    <interface_ref client_id="xen3:if0"/>
+    <interface_ref client_id="xen4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-2-utc.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-2-utc.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-2-utc.rspec	(revision 3191)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="true">
+   <sliver_type name="raw-pc"> </sliver_type>
+   <services> <execute command="sudo sed -i -e '1,$s/https/http/' /etc/yum.repos.d/*.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.utc.edu+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-3-utc.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-3-utc.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/UTC/IG-CT-3-utc.rspec	(revision 3191)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.utc.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.utc.edu+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+    <link_type name="gre-tunnel"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-1-washington.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-1-washington.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-1-washington.rspec	(revision 3191)
@@ -0,0 +1,45 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="xen1" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen2" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen3" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen4" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.washington.edu+authority+cm"/>
+    <interface_ref client_id="xen1:if0"/>
+    <interface_ref client_id="xen2:if0"/>
+    <interface_ref client_id="xen3:if0"/>
+    <interface_ref client_id="xen4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-2-washington.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-2-washington.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-2-washington.rspec	(revision 3191)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="true">
+   <sliver_type name="raw-pc"> </sliver_type>
+   <services> <execute command="sudo sed -i -e '1,$s/https/http/' /etc/yum.repos.d/*.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.washington.edu+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-3-washington.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-3-washington.rspec	(revision 3191)
+++ trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/Washington/IG-CT-3-washington.rspec	(revision 3191)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+instageni.washington.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.washington.edu+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+    <link_type name="egre-tunnel"/>
+  </link>
+</rspec>